#!/usr/bin/python3
# -*- coding: utf-8 -*-

import os
from xdg import BaseDirectory as xdg
from model.logmanager import LogManager

class Globals:
    debugSwitch = False
    logInfo = None
    logError = None
    androidTagId = "403"      #移动应用标签ID
    installPackagePath = "/usr/share/kylin-software-center/data"
    userCacheUkscDir = os.path.join(xdg.xdg_cache_home, "uksc")
    userCacheDirLog = os.path.join(userCacheUkscDir, "log")
    infoLog = os.path.join(userCacheDirLog, "kylin-software-center-plugin-preprocessing-info.log")
    errorLog = os.path.join(userCacheDirLog, "kylin-software-center-plugin-preprocessing-error.log")
    logInfo = LogManager(infoLog, level='info')
    logError = LogManager(errorLog, level='error')
    userConfFilePath = os.path.join(userCacheUkscDir,"kylin-software-center.conf")

